cURL
curl -X GET 'https://app-be.thesis.io/api/v1/integration/spaces/space_123/sections' \
-H 'Authorization: Bearer YOUR_SPACE_API_TOKEN'import requests
space_id = 'space_123'
url = f'https://app-be.thesis.io/api/v1/integration/spaces/{space_id}/sections'
headers = {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
response = requests.get(url, headers=headers)
print(response.json())const spaceId = 'space_123';
const response = await fetch(`https://app-be.thesis.io/api/v1/integration/spaces/${spaceId}/sections`, {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
});
const data = await response.json();
console.log(data);const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-be.thesis.io/api/v1/integration/spaces/{space_id}/sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Get space sections success",
"data": []
}{
"detail": "Invalid request data or missing required fields"
}{
"detail": "Unauthorized"
}{
"detail": "Resource not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Internal server error"
}spaces
Get Space Sections
Retrieves all sections within a specific space. Sections are organizational units within spaces that help categorize conversations and content. Requires valid space access permissions.
GET
/
api
/
v1
/
integration
/
spaces
/
{space_id}
/
sections
cURL
curl -X GET 'https://app-be.thesis.io/api/v1/integration/spaces/space_123/sections' \
-H 'Authorization: Bearer YOUR_SPACE_API_TOKEN'import requests
space_id = 'space_123'
url = f'https://app-be.thesis.io/api/v1/integration/spaces/{space_id}/sections'
headers = {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
response = requests.get(url, headers=headers)
print(response.json())const spaceId = 'space_123';
const response = await fetch(`https://app-be.thesis.io/api/v1/integration/spaces/${spaceId}/sections`, {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_SPACE_API_TOKEN'
}
});
const data = await response.json();
console.log(data);const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app-be.thesis.io/api/v1/integration/spaces/{space_id}/sections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "Get space sections success",
"data": []
}{
"detail": "Invalid request data or missing required fields"
}{
"detail": "Unauthorized"
}{
"detail": "Resource not found"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"detail": "Internal server error"
}Authorizations
Enter your API token in the format: Bearer <your_token_here>
Path Parameters
⌘I